<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<h2>
	<?php _e( 'General Options', 'woocommerce' ); ?>
</h2>

<h3>
	Order Status
</h3>

<table class="widefat">
	<thead>
		<tr>
			<th>Event</th>
			<th>Status</th>
			<th></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td>Successful Shipmate Order Creation</td>
			<td>
				<?php $success_status = get_option("_shipmate_status_success"); ?>
				<select name="shipmate_success_status">
					<option value="Don't Change" <?php echo $success_status == "Don't Change" ? ' selected="selected"': ''; ?> >Don't change status</option>
					<?php foreach(wc_get_order_statuses() as $status) { ?>
						<option value="<?php echo strtolower(str_replace(' ', '-', ('wc' . '-' . $status))); ?>" <?php echo $success_status == strtolower(str_replace(' ', '-', ('wc' . '-' . $status))) ? ' selected="selected"': ''; ?> ><?php echo $status; ?></option>
					<?php } ?>
				</select>
			</td>
			<td></td>
		</tr>
		<tr>
			<td>Failed Shipmate Order Creation</td>
			<td>
				<?php $failed_status = get_option("_shipmate_status_failed"); ?>
				<select name="shipmate_failed_status">
					<option value="Don't Change" <?php echo $failed_status == "Don't Change" ? ' selected="selected"': ''; ?> >Don't change status</option>
					<?php foreach(wc_get_order_statuses() as $status) { ?>
						<option value="<?php echo strtolower(str_replace(' ', '-', ('wc' . '-' . $status))); ?>" <?php echo $failed_status == strtolower(str_replace(' ', '-', ('wc' . '-' . $status))) ? ' selected="selected"': ''; ?> ><?php echo $status; ?></option>
					<?php } ?>
				</select>
			</td>
			<td></td>
		</tr>

		<tr>
			<td>Shipmate Order Cancelation</td>
			<td>
				<?php $cancel_status = get_option("_shipmate_status_cancel"); ?>
				<select name="shipmate_cancel_status">
					<option value="Don't Change" <?php echo $cancel_status == "Don't Change" ? ' selected="selected"': ''; ?> >Don't change status</option>
					<?php foreach(wc_get_order_statuses() as $status) { ?>
						<option value="<?php echo strtolower(str_replace(' ', '-', ('wc' . '-' . $status))); ?>" <?php echo $cancel_status == strtolower(str_replace(' ', '-', ('wc' . '-' . $status))) ? ' selected="selected"': ''; ?> ><?php echo $status; ?></option>
					<?php } ?>
				</select>
			</td>
			<td></td>
		</tr>
	</tfoot>
</table>
